PyBuiltinFunctionSet (Jython API documentation)
Date: 2020-03-21

org.python.core

## Class PyBuiltinFunctionSet

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.PyBuiltinCallable
    - - org.python.core.PyBuiltinFunction
      - - org.python.core.PyBuiltinFunctionNarrow
        - - org.python.core.PyBuiltinFunctionSet

- All Implemented Interfaces:
    java.io.Serializable, org.python.expose.ExposeAsSuperclass
  Direct Known Subclasses:
    PyBuiltinMethodSet

      public class PyBuiltinFunctionSet
      extends PyBuiltinFunctionNarrow

  A helper class for faster implementations of commonly called methods.

  Subclasses of PyBuiltinFunctionSet will implement some or all of the __call__ method with a switch on the index number.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyBuiltinCallable

      `PyBuiltinCallable.DefaultInfo, PyBuiltinCallable.Info`

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PyBuiltinFunctionSet(java.lang.String name, int index)` Creates a PyBuiltinFunctionSet that expects 1 argument.
    `PyBuiltinFunctionSet(java.lang.String name, int index, int numargs)`
    `PyBuiltinFunctionSet(java.lang.String name, int index, int minargs, int maxargs)`
    `PyBuiltinFunctionSet(java.lang.String name, int index, int minargs, int maxargs, java.lang.String doc)`

  - ### Method Summary

    - ### Methods inherited from class org.python.core.PyBuiltinFunctionNarrow

      `__call__, __call__, __call__, __call__, __call__, __call__, __call__, fancyCall`

    - ### Methods inherited from class org.python.core.PyBuiltinFunction

      `bind, isMappingType, isNumberType, isSequenceType, toString`

    - ### Methods inherited from class org.python.core.PyBuiltinCallable

      `fastGetName, getDoc, getModule, getSelf, makeCall, setInfo`

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PyBuiltinFunctionSet

          public PyBuiltinFunctionSet(java.lang.String name,
                                      int index)

      Creates a PyBuiltinFunctionSet that expects 1 argument.

    - #### PyBuiltinFunctionSet

          public PyBuiltinFunctionSet(java.lang.String name,
                                      int index,
                                      int numargs)

    - #### PyBuiltinFunctionSet

          public PyBuiltinFunctionSet(java.lang.String name,
                                      int index,
                                      int minargs,
                                      int maxargs)

    - #### PyBuiltinFunctionSet

          public PyBuiltinFunctionSet(java.lang.String name,
                                      int index,
                                      int minargs,
                                      int maxargs,
                                      java.lang.String doc)

Jython homepage